"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const pretty_html_log_1 = require("../lib/pretty-html-log");
const themes_1 = require("../lib/themes/themes");
exports.printHelp = () => {
    console.log('');
    console.log(chalk_1.default.bold.underline.cyan('Description:'));
    console.log(`pretty-html-log is a tool that allows you to highlight and pretty print your html string to console.`);
    console.log('');
    console.log(chalk_1.default.bold.underline.cyan('Parameters:'));
    console.log(chalk_1.default.bold.blue('htmlString'), ' ', chalk_1.default.bold.red('(required)'));
    console.log(chalk_1.default.bold.blue('theme'), ' ', chalk_1.default.bold.green(`(optional) - valid types: dracula, material or vscode`));
    console.log('');
    console.log(chalk_1.default.bold.underline.cyan('Examples:'));
    console.log(chalk_1.default.cyan('Simple usage: '));
    console.log(chalk_1.default.green('Type this command'));
    console.log(chalk_1.default.italic('pretty-html-log "<html><body><h1 class="foo">Text</h1></body></html>"'));
    console.log('');
    console.log(chalk_1.default.underline.green('Result:'));
    console.log(pretty_html_log_1.highlight('<html><body><h1 class="foo">Text</h1></body></html>'));
    console.log('');
    console.log(chalk_1.default.cyan('Usage with a theme of your choice: '));
    console.log(chalk_1.default.green('The following commands are equal'));
    console.log(chalk_1.default.italic('pretty-html-log "<html><body><h1 class="foo">Text</h1></body></html>" -t vscode'));
    console.log(chalk_1.default.italic('pretty-html-log "<html><body><h1 class="foo">Text</h1></body></html>" --theme=vscode'));
    console.log('');
    console.log(chalk_1.default.underline.green('Result:'));
    console.log(pretty_html_log_1.highlight('<html><body><h1 class="foo">Text</h1></body></html>', themes_1.THEMES.VSCODE));
};
//# sourceMappingURL=help-menu.js.map