#!/usr/bin/env node
"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const packgeJSON = __importStar(require("../../package.json"));
const commander_1 = __importDefault(require("commander"));
const pretty_html_log_1 = require("../lib/pretty-html-log");
const help_menu_1 = require("./help-menu");
const theme_finder_1 = require("./helpers/theme-finder");
commander_1.default.on('--help', () => {
    help_menu_1.printHelp();
});
commander_1.default
    .version(packgeJSON.version)
    .arguments('<htmlString>')
    .option('-t --theme <string>', 'specifies the theme which will be used to highlight your htmlString - valid types: dracula, material or vscode')
    .action(function (htmlString) {
    const { theme: passedInTheme } = commander_1.default;
    const theme = theme_finder_1.findTheme(passedInTheme);
    console.log(pretty_html_log_1.highlight(htmlString, theme));
})
    .parse(process.argv);
//# sourceMappingURL=prettty-html-log.bin.js.map